class Student {
    int stuCode;
    String stuName;
    int stuDeptCode; 
    public Student(){                                // 参数为空的构造方法
        stuName = " ";                              // 设置姓名
        stuCode = 10011;                            // 设置学号
        stuDeptCode = 11;                           // 设置学院编号
    }
    protected Student(String name, int sCode, int dCode) {  // 带参数的构造方法
        stuName = name;                            // 根据参数设置姓名
        stuCode = sCode;                            // 根据参数设置学号
        stuDeptCode = dCode;                        // 根据参数设置学院编号
    }
}
class Example3_3 {
    public static void main(String[] args) {
        Student stu1; // 声明一个stu1对象
        stu1 = new Student(); // 建立并初始化stu1对象
        stu1.stuName = "王非";
        Student stu2 = new Student("黎明", 10012, 12);    // 声明、建立并初始化stu2对象
        Student stu3 = stu1;                           // stu3指向已存在的对象
        System.out.println(stu1 == stu3);
        System.out.println(stu2.equals(stu1));
    }
}
